Package com.enonic.xp.node

## Class NodeCommitEntry

- java.lang.Object
- - com.enonic.xp.node.NodeCommitEntry

- All Implemented Interfaces:
    `Comparable<NodeCommitEntry>`

      @PublicApi
      public class NodeCommitEntry
      extends Object
      implements Comparable<NodeCommitEntry>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `NodeCommitEntry.Builder` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `compareTo​(NodeCommitEntry o)` |
    `static NodeCommitEntry.Builder` | `create()` |
    `static NodeCommitEntry.Builder` | `create​(NodeCommitEntry nodeCommitEntry)` |
    `boolean` | `equals​(Object o)` |
    `PrincipalKey` | `getCommitter()` |
    `String` | `getMessage()` |
    `NodeCommitId` | `getNodeCommitId()` |
    `Instant` | `getTimestamp()` |
    `int` | `hashCode()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getNodeCommitId

          public NodeCommitId getNodeCommitId()

    - #### getMessage

          public String getMessage()

    - #### getTimestamp

          public Instant getTimestamp()

    - #### getCommitter

          public PrincipalKey getCommitter()

    - #### compareTo

          public int compareTo​(NodeCommitEntry o)

      Specified by:
        `compareTo` in interface `Comparable<NodeCommitEntry>`

    - #### create

          public static NodeCommitEntry.Builder create()

    - #### create

          public static NodeCommitEntry.Builder create​(NodeCommitEntry nodeCommitEntry)

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`